Subject: Re: FVWM: 2.3.14/15 Style problems

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 25 Mar 2000 13:14:04 +0200

On 24 Mar 2000 18:44:09 -0800, Elliot Sowadsky wrote:
> 
> another weirdity regarding styles....
> 
> Style "someprogram" NoIcon
> Style "someprogram *somewindow*" Icon
> 
> When i start someprogram>somewindow and iconify it, NoIcon wins.
> If i restart fvwm2, Icon wins

The only explanation is this. When you start a program (say Netscape), it
has an initial title "someprogram", then after some timeout the program
changes the title (this is what Netscape does). The window still has the
NoIcon style option, because there was not any "someprogram *somewindow*"
string when it was mapped. When you execute RecaptureWindow or Restart
the styles are regenerated for this window accordingly to the new title.

If this is your case, there is nothing to be done here, just don't use
dynamic title names as style paterns, it is unreliable.

> Also, is there a way for a click2focus user to tell it to not switch focus
> when clicking on decor? I s'pose there some funcion trick to do it.

I don't think it is currently possible. You probably want a hypotetycal
ClickNonDecorsToFocus style option. You can send a feature request.

There is a not quite related bug - when clicking on unfocused ClickToFocus
window decor, the window is first raised even with ClickToFocusRaisesOff.

I think the developement version issues could be better discussed on
[email-masked] list.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Elliot Sowadsky <[email-masked]>
Date: Mon, 27 Mar 2000 13:21:39 -0800 (PST)

> is there a way for a click2focus user to tell it to not switch focus

<<

I was wondering whether this can be done via a function that puts the focus
back to where it was before the click.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]